Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Class PortalPropertiesBean

    java.lang.Object
      |
      +--java.util.Dictionary
            |
            +--java.util.Hashtable
                  |
                  +--java.util.Properties
                        |
                        +--com.beasys.util.TypedProperties
                              |
                              +--com.beasys.portal.ejb.PortalPropertiesBean

public class PortalPropertiesBean
extends TypedProperties
implements javax.ejb.SessionBean

This is the EJB implementation of the properties file.

See Also:
  Serialized Form

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`PortalPropertiesBean()`

Method Summary
`void` | `ejbActivate()` This method is required by the EJB Specification, but is not used by this example.
`void` | `ejbCreate()` Called by the container when a new instance is created.
`void` | `ejbPassivate()` This method is required by the EJB Specification, but is not used by this example.
`void` | `ejbRemove()` This method is required by the EJB Specification, but is not used by this example.
`void` | `setSessionContext(javax.ejb.SessionContext ctx)` Sets the session context.

Methods inherited from class com.beasys.util.TypedProperties
`getPropertyAsArray, getPropertyAsBool, getPropertyAsBool, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsFloat, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyHexAsInt, getPropertyHexAsInt`

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, load, propertyNames, save, setProperty, store`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortalPropertiesBean

    public PortalPropertiesBean()

Method Detail

### ejbActivate

    public void ejbActivate()

  This method is required by the EJB Specification, but is not used by this example.
  Specified by:
    ejbActivate in interface javax.ejb.SessionBean

### ejbRemove

    public void ejbRemove()

  This method is required by the EJB Specification, but is not used by this example.
  Specified by:
    ejbRemove in interface javax.ejb.SessionBean

### ejbPassivate

    public void ejbPassivate()

  This method is required by the EJB Specification, but is not used by this example.
  Specified by:
    ejbPassivate in interface javax.ejb.SessionBean

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext ctx)

  Sets the session context.
  Specified by:
    setSessionContext in interface javax.ejb.SessionBean
  Parameters:
    `ctx` - SessionContext Context for session

### ejbCreate

    public void ejbCreate()
                   throws javax.ejb.CreateException

  Called by the container when a new instance is created.
  Throws:
    javax.ejb.CreateException - if there is a communications or systems failure

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved